Create customer pricing profiles
/fscmRestApi/resources/11.13.18.05/customerPricingProfiles
Request
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
- application/json
object-
CostToServe: string
Maximum Length:
255Value representing the cost to serve. -
CostToServeCode: string
Title:
Cost to ServeMaximum Length:30Abbreviation representing the cost-to-serve value. -
CustomerPartyId(required): integer
(int64)
Value that uniquely identifies the customer party.
-
CustomerPricingProfileId: integer
(int64)
Value that uniquely identifies the customer pricing profile.
-
CustomerRating: string
Maximum Length:
255Value representing the customer rating attribute. -
CustomerRatingCode: string
Title:
Customer RatingMaximum Length:30Abbreviation representing the customer rating value. -
CustomerSize: string
Maximum Length:
255Value representing the customer size. -
CustomerSizeCode: string
Title:
Customer SizeMaximum Length:30Abbreviation representing the customer size value. -
CustomerValue: string
Maximum Length:
255Value representing the customer value. -
CustomerValueCode: string
Title:
Customer ValueMaximum Length:30Abbreviation representing the customer value. -
DFF: array
DFF
-
EndDate: string
(date-time)
Title:
End DateDate when the record becomes inactive. -
Name: string
Name of the customer pricing profile.
-
RevenuePotential: string
Maximum Length:
255Value representing the revenue potential. -
RevenuePotentialCode: string
Title:
Revenue PotentialMaximum Length:30Abbreviation representing the revenue potential value. -
StartDate(required): string
(date-time)
Title:
Start DateDate when the record becomes effective.
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:150Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
CustomerPricingProfileId: integer
(int64)
Response
- application/json
Default Response
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
object-
CostToServe: string
Maximum Length:
255Value representing the cost to serve. -
CostToServeCode: string
Title:
Cost to ServeMaximum Length:30Abbreviation representing the cost-to-serve value. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the record. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the record was created. -
CustomerPartyId: integer
(int64)
Value that uniquely identifies the customer party.
-
CustomerPartyName: string
Read Only:
trueMaximum Length:255Name of the customer party. -
CustomerPartyNumber: string
Read Only:
trueMaximum Length:255Number of the customer party. -
CustomerPricingProfileId: integer
(int64)
Value that uniquely identifies the customer pricing profile.
-
CustomerRating: string
Maximum Length:
255Value representing the customer rating attribute. -
CustomerRatingCode: string
Title:
Customer RatingMaximum Length:30Abbreviation representing the customer rating value. -
CustomerSize: string
Maximum Length:
255Value representing the customer size. -
CustomerSizeCode: string
Title:
Customer SizeMaximum Length:30Abbreviation representing the customer size value. -
CustomerValue: string
Maximum Length:
255Value representing the customer value. -
CustomerValueCode: string
Title:
Customer ValueMaximum Length:30Abbreviation representing the customer value. -
DFF: array
DFF
-
EndDate: string
(date-time)
Title:
End DateDate when the record becomes inactive. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time of the last update. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the record. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Indicates the session sign-in associated with the user who last updated the row. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Name: string
Name of the customer pricing profile.
-
RevenuePotential: string
Maximum Length:
255Value representing the revenue potential. -
RevenuePotentialCode: string
Title:
Revenue PotentialMaximum Length:30Abbreviation representing the revenue potential value. -
StartDate: string
(date-time)
Title:
Start DateDate when the record becomes effective.
arrayLinksobject-
__FLEX_Context: string
Title:
Context ValueMaximum Length:150Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
CustomerPricingProfileId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
arrayLinksobject-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
- DFF
-
Operation: /fscmRestApi/resources/11.13.18.05/customerPricingProfiles/{CustomerPricingProfileId}/child/DFFParameters:
- CustomerPricingProfileId:
$request.path.CustomerPricingProfileId
- CustomerPricingProfileId:
Examples
This example describes how to create customer pricing profiles.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/customerPricingProfiles"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"CustomerPartyId": 764966,
"RevenuePotential": "High",
"CostToServe": "High",
"CustomerRating": "High",
"CustomerSize": "Small",
"CustomerValue": "High",
"StartDate": "2001-04-01T09:00:00+00:00",
"EndDate": "2001-05-01T09:00:00+00:00"
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"CustomerPricingProfileId": 300100657444608,
"CustomerPartyId": 764966,
"CustomerPartyNumber": null,
"CustomerPartyName": null,
"RevenuePotential": "High",
"RevenuePotentialCode": "ORA_HIGH",
"CostToServe": "High",
"CostToServeCode": "ORA_HIGH",
"CustomerRating": "High",
"CustomerRatingCode": "ORA_HIGH",
"CustomerSize": "Small",
"CustomerSizeCode": "ORA_SMALL",
"CustomerValue": "High",
"CustomerValueCode": "ORA_HIGH",
"StartDate": "2001-04-01T09:00:00+00:00",
"EndDate": "2001-05-01T09:00:00+00:00",
"LastUpdateDate": "2026-05-07T17:02:05.138+00:00",
"LastUpdateLogin": "513B9EF5C12D1E68E06369DD000A67D8",
"LastUpdatedBy": "SCMOPERATIONS",
"CreationDate": "2026-05-07T17:02:05+00:00",
"CreatedBy": "SCMOPERATIONS",
"Name": null}